Loading...
Searching...
No Matches
transpose.hh File Reference
`#include <cstddef>`
`#include <functional>`
`#include <dune/common/boundschecking.hh>`
`#include <dune/common/std/type_traits.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/promotiontraits.hh>`
`#include <dune/common/referencehelper.hh>`
`#include <dune/common/dynmatrix.hh>`
`#include <dune/common/matrixconcepts.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<class Matrix, std::enable_if_t< Impl::HasMemberFunctionTransposed< Matrix >::value, int > = 0>
auto | Dune::transpose (const Matrix &matrix)
| Return the transposed of the given matrix.
template<class Matrix, std::enable_if_t< not Impl::HasMemberFunctionTransposed< std::decay_t< Matrix > >::value, int > = 0>
auto | Dune::transpose (Matrix &&matrix)
| Create a wrapper modelling the transposed matrix.
template<class Matrix>
auto | Dune::transpose (const std::reference_wrapper< Matrix > &matrix)
| Create a wrapper modelling the transposed matrix.
template<class Matrix>
auto | Dune::transposedView (const Matrix &matrix)
| Create a view modelling the transposed matrix.